We have moved to a new Sailfish OS Forum. Please start new discussions there.
3

[solved] Can't install android Flash Player

asked 2014-02-25 09:09:39 +0200

this post is marked as community wiki

This post is a wiki. Anyone with karma >75 is welcome to improve it.

updated 2014-07-30 17:45:38 +0200

jiit gravatar image

After testing several Flash Player (11.1.115.69-81) versions with latest Firefox it seems that the new version of Alien Dalvik from 1.0.3.8 update has broken compatibility with Flash libs. Firefox no longer founds necessary Flash plugin though it is definitely installed on the system.

After some digging I found that hacked Flash Player for KitKat is at least recognized by Firefox as plugin (though it is still not working here - because new hacked Flash is working only with Dolphin).

So I assume (according to this post on xda) now Alien Dalvik uses some system libs from Android KitKat that lacks exports necessary for Flash to work.

Does anyone know how to get .rpm of Alien Dalvik's previous version? Was there really any good reasons to move to the new version of Android libs from KitKat?

edit retag flag offensive close delete

Comments

1

I've got firefox 26.0.1 and flash is working (11.1.115.69). Although, I installed flash after the 1.0.3.8-update.

gabroth ( 2014-02-25 12:27:17 +0200 )edit

Hm. Interesting. I'll try this setup on my Jolla.

Lcferrum ( 2014-02-25 12:52:34 +0200 )edit

Nah, still no luck. Firefox doesn't recognize Flash plugin. Gabroth, what is your version of Alien Dalvik? Mine is 0.7.1-2.

Lcferrum ( 2014-02-25 13:08:19 +0200 )edit
1

I have Firefox 27.0 and flash is working. Flash version is 11.1.115.69 and Alien Dalvik version is 0.7.1-2.

Neo ( 2014-02-25 13:40:16 +0200 )edit

My Firefox is also 27.0, and I have also tried 11.1.115.69 - still no result. Could you guys please check - do you have libflashplayer.so located somewhere on your phone?

Lcferrum ( 2014-02-25 14:00:40 +0200 )edit

1 Answer

Sort by » oldest newest most voted
2

answered 2014-02-25 16:07:16 +0200

this post is marked as community wiki

This post is a wiki. Anyone with karma >75 is welcome to improve it.

updated 2014-02-25 16:41:25 +0200

Lcferrum gravatar image

Got it sorted out at last.

It has nothing to do with regression, sorry Jolla.

Though it has something to do with a lot of rubbish in /data/system/packages.xml.

After 1.0.3.8 I have installed new version of flashplayer from 4.4 KitKat. Although it was recognized perfectly by Firefox it wasn't working (all Flash elements on Web pages were blanc). I downgraded this KitKat version (at that moment I didn't know that it was merely hacked 11.1.115.81) to previous version of Flash and Firefox stopped to recognize it. And I instantly thought that it was regression in alien Dalvik (silly me).

Actually, after digging through logcat, I found that Flash Player actually refused to downgrade and wasn't installed at all! When I was installing previous version of Flash everything looked fine on the outside. But inside, Alien Dalvik spammed with messages about being unable to install another version of Flash because signatures do not match the previously installed version. So, when I deleted Falsh to install another one, it wasn't deleted clearly and some rubbish was still left in /data/system/packages.xml that prevented me from installing another Flash version.

So I have found these records from previous installation of Flash in /data/system/packages.xml and deleted them. Everything works now, Flash 11.1.115.81, Firefox 27.0.

Reminder to everyone: be very careful when upgrading/downgrading android apps on Jolla - something may be left in /data/system/packages.xml that will prevent you from installing another version of the same app!

edit flag offensive delete publish link more
Login/Signup to Answer

Question tools

Follow
3 followers

Stats

Asked: 2014-02-25 09:09:39 +0200

Seen: 1,039 times

Last updated: Feb 25 '14